VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | Public Attributes | List of all members
StringToken Class Reference
Inheritance diagram for StringToken:

## Public Types
enum | Type { kString, kAdd, kSubtract, kMulitply, kDivide, kOpenParenthesis, kCloseParenthesis, kResult }

## Public Member Functions
| StringToken (const std::string &str)
| StringToken (const StringToken &token)=default
| StringToken (Type type, double value=0)

## Public Attributes
Type | type
double | result

## Member Enumeration Documentation

enum Type

Enumerator
kString |
kAdd |
kSubtract |
kMulitply |
kDivide |
kOpenParenthesis |
kCloseParenthesis |
kResult |

## Constructor & Destructor Documentation

StringToken | ( | const std::string & | str | ) |
| inline explicit

StringToken | ( | const StringToken & | token | ) |
| default

StringToken | ( | Type | type,
|  | double | value = `0`
| ) |  |
| inline

## Member Data Documentation

double result

Type type

The documentation for this class was generated from the following file:

- uidescription.cpp